#!/bin/sh
########################################################################
#   5724-E34
#   (c) Copyright IBM Corporation 2008, 2009.
#   All rights reserved.
#
#   The source code for this program is not published or otherwise
#   divested of its trade secrets, irrespective of what has been
#   deposited with the U.S. Copyright Office.
########################################################################

echo --CREATE TABLES FOR GOSALESDW SCHEMA
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.DIST_INVENTORY_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.DIST_INVENTORY_FACT \(MONTH_KEY INTEGER NOT NULL,
echo ORGANIZATION_KEY INTEGER NOT NULL,
echo BRANCH_KEY INTEGER NOT NULL,
echo PRODUCT_KEY INTEGER NOT NULL,
echo OPENING_INVENTORY INTEGER NOT NULL,
echo QUANTITY_SHIPPED INTEGER NOT NULL,
echo ADDITIONS INTEGER NOT NULL,
echo UNIT_COST DECIMAL \(19         ,2     \),
echo CLOSING_INVENTORY INTEGER NOT NULL,
echo AVERAGE_UNIT_COST DECIMAL \(19         ,2     \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.DIST_PRODUCT_FORECAST_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.DIST_PRODUCT_FORECAST_FACT \(MONTH_KEY INTEGER NOT NULL,
echo ORGANIZATION_KEY INTEGER NOT NULL,
echo BASE_PRODUCT_KEY INTEGER NOT NULL,
echo BRANCH_KEY INTEGER NOT NULL,
echo UNIT_COST DECIMAL \(19         ,2     \),
echo UNIT_PRICE DECIMAL \(19         ,2     \),
echo EXPECTED_VOLUME INTEGER \)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.DIST_RETURNED_ITEMS_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.DIST_RETURNED_ITEMS_FACT \(DAY_KEY INTEGER NOT NULL,
echo ORGANIZATION_KEY INTEGER NOT NULL,
echo BRANCH_KEY INTEGER NOT NULL,
echo EMPLOYEE_KEY INTEGER NOT NULL,
echo RETAILER_SITE_KEY INTEGER NOT NULL,
echo PRODUCT_KEY INTEGER NOT NULL,
echo ORDER_METHOD_KEY INTEGER NOT NULL,
echo SALES_ORDER_KEY INTEGER NOT NULL,
echo RETURN_REASON_KEY INTEGER NOT NULL,
echo RETURN_QUANTITY INTEGER NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.DIST_RETURN_REASON_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.DIST_RETURN_REASON_DIM \(RETURN_REASON_KEY INTEGER NOT NULL,
echo RETURN_REASON_CODE INTEGER NOT NULL,
echo REASON_DESCRIPTION_EN VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_FR VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_DE VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_NL VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_JA VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_SC VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_KO VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_CS VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_HU VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_PT VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_ID VARCHAR \(120        \),
echo REASON_DESCRIPTION_MS VARCHAR \(120        \),
echo REASON_DESCRIPTION_TC VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_DA VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_EL VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_FI VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_IT VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_NO VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_PL VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_RU VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_SV VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_ES VARCHAR \(120        \)NOT NULL,
echo REASON_DESCRIPTION_TH VARCHAR \(120        \)NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_EMPLOYEE_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_EMPLOYEE_DIM \(EMPLOYEE_KEY INTEGER NOT NULL,
echo MANAGER_CODE1 INTEGER ,
echo MANAGER1 VARCHAR \(168        \),
echo MANAGER_MB1 VARCHAR \(168        \),
echo MANAGER_CODE2 INTEGER ,
echo MANAGER2 VARCHAR \(168        \),
echo MANAGER_MB2 VARCHAR \(168        \),
echo MANAGER_CODE3 INTEGER ,
echo MANAGER3 VARCHAR \(168        \),
echo MANAGER_MB3 VARCHAR \(168        \),
echo MANAGER_CODE4 INTEGER ,
echo MANAGER4 VARCHAR \(168        \),
echo MANAGER_MB4 VARCHAR \(168        \),
echo MANAGER_CODE5 INTEGER ,
echo MANAGER5 VARCHAR \(168        \),
echo MANAGER_MB5 VARCHAR \(168        \),
echo MANAGER_CODE6 INTEGER ,
echo MANAGER6 VARCHAR \(168        \),
echo MANAGER_MB6 VARCHAR \(168        \),
echo EMPLOYEE_CODE INTEGER ,
echo EMPLOYEE_NAME VARCHAR \(168        \),
echo FIRST_NAME VARCHAR \(75         \),
echo LAST_NAME VARCHAR \(90         \),
echo EMPLOYEE_NAME_MB VARCHAR \(168        \),
echo FIRST_NAME_MB VARCHAR \(75         \),
echo LAST_NAME_MB VARCHAR \(90         \),
echo MANAGER_CODE INTEGER ,
echo ORGANIZATION_CODE VARCHAR \(30         \),
echo ADDRESS1 VARCHAR \(120        \),
echo ADDRESS2 VARCHAR \(120        \),
echo ADDRESS1_MB VARCHAR \(120        \),
echo ADDRESS2_MB VARCHAR \(120        \),
echo CITY VARCHAR \(60         \),
echo CITY_MB VARCHAR \(60         \),
echo PROV_STATE VARCHAR \(60         \),
echo PROV_STATE_MB VARCHAR \(60         \),
echo POSTAL_ZONE VARCHAR \(30         \),
echo BRANCH_CODE INTEGER ,
echo BIRTH_DATE TIMESTAMP ,
echo GENDER_CODE SMALLINT ,
echo WORK_PHONE VARCHAR \(90         \),
echo EXTENSION VARCHAR \(30         \),
echo FAX VARCHAR \(60         \),
echo EMAIL VARCHAR \(120        \),
echo DATE_HIRED TIMESTAMP ,
echo TERMINATION_CODE INTEGER ,
echo TERMINATION_DATE TIMESTAMP ,
echo POSITION_START_DATE TIMESTAMP ,
echo POSITION_CODE INTEGER ,
echo EMPLOYEE_LEVEL SMALLINT ,
echo ACTIVE_INDICATOR SMALLINT ,
echo RECORD_START_DATE TIMESTAMP ,
echo RECORD_END_DATE TIMESTAMP \)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_FACT \(DAY_KEY INTEGER NOT NULL,
echo ORGANIZATION_KEY INTEGER NOT NULL,
echo POSITION_KEY INTEGER NOT NULL,
echo EMPLOYEE_KEY INTEGER NOT NULL,
echo EXPENSE_TYPE_KEY INTEGER NOT NULL,
echo ACCOUNT_KEY INTEGER NOT NULL,
echo EXPENSE_UNIT_QUANTITY DOUBLE ,
echo EXPENSE_TOTAL DECIMAL \(19         ,2     \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_PLAN_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_PLAN_FACT \(MONTH_KEY INTEGER NOT NULL,
echo ORGANIZATION_KEY INTEGER NOT NULL,
echo EXPENSE_TYPE_KEY INTEGER NOT NULL,
echo ACCOUNT_KEY VARCHAR \(105        \),
echo EXPENSE_PLAN_TOTAL DECIMAL \(19         ,2     \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_TYPE_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_TYPE_DIM \(EXPENSE_TYPE_KEY INTEGER NOT NULL,
echo EXPENSE_GROUP_CODE INTEGER NOT NULL,
echo EXPENSE_TYPE_CODE INTEGER NOT NULL,
echo EXPENSE_UNIT_CODE INTEGER NOT NULL,
echo EXPENSE_GROUP_EN VARCHAR \(90         \),
echo EXPENSE_TYPE_EN VARCHAR \(150        \),
echo EXPENSE_GROUP_DE VARCHAR \(90         \),
echo EXPENSE_TYPE_DE VARCHAR \(150        \),
echo EXPENSE_GROUP_FR VARCHAR \(90         \),
echo EXPENSE_TYPE_FR VARCHAR \(150        \),
echo EXPENSE_GROUP_JA VARCHAR \(90         \),
echo EXPENSE_TYPE_JA VARCHAR \(150        \),
echo EXPENSE_GROUP_CS VARCHAR \(90         \),
echo EXPENSE_TYPE_CS VARCHAR \(150        \),
echo EXPENSE_GROUP_DA VARCHAR \(90         \),
echo EXPENSE_TYPE_DA VARCHAR \(150        \),
echo EXPENSE_GROUP_EL VARCHAR \(90         \),
echo EXPENSE_TYPE_EL VARCHAR \(150        \),
echo EXPENSE_GROUP_ES VARCHAR \(90         \),
echo EXPENSE_TYPE_ES VARCHAR \(150        \),
echo EXPENSE_GROUP_FI VARCHAR \(90         \),
echo EXPENSE_TYPE_FI VARCHAR \(150        \),
echo EXPENSE_GROUP_HU VARCHAR \(90         \),
echo EXPENSE_TYPE_HU VARCHAR \(150        \),
echo EXPENSE_GROUP_ID VARCHAR \(90         \),
echo EXPENSE_TYPE_ID VARCHAR \(150        \),
echo EXPENSE_GROUP_IT VARCHAR \(90         \),
echo EXPENSE_TYPE_IT VARCHAR \(150        \),
echo EXPENSE_GROUP_KO VARCHAR \(90         \),
echo EXPENSE_TYPE_KO VARCHAR \(150        \),
echo EXPENSE_GROUP_MS VARCHAR \(90         \),
echo EXPENSE_TYPE_MS VARCHAR \(150        \),
echo EXPENSE_GROUP_NL VARCHAR \(90         \),
echo EXPENSE_TYPE_NL VARCHAR \(150        \),
echo EXPENSE_GROUP_NO VARCHAR \(90         \),
echo EXPENSE_TYPE_NO VARCHAR \(150        \),
echo EXPENSE_GROUP_PL VARCHAR \(90         \),
echo EXPENSE_TYPE_PL VARCHAR \(150        \),
echo EXPENSE_GROUP_PT VARCHAR \(90         \),
echo EXPENSE_TYPE_PT VARCHAR \(150        \),
echo EXPENSE_GROUP_RU VARCHAR \(90         \),
echo EXPENSE_TYPE_RU VARCHAR \(150        \),
echo EXPENSE_GROUP_SC VARCHAR \(90         \),
echo EXPENSE_TYPE_SC VARCHAR \(150        \),
echo EXPENSE_GROUP_SV VARCHAR \(90         \),
echo EXPENSE_TYPE_SV VARCHAR \(150        \),
echo EXPENSE_GROUP_TC VARCHAR \(90         \),
echo EXPENSE_TYPE_TC VARCHAR \(150        \),
echo EXPENSE_GROUP_TH VARCHAR \(90         \),
echo EXPENSE_TYPE_TH VARCHAR \(150        \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_UNIT_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_UNIT_LOOKUP \(EXPENSE_UNIT_CODE INTEGER NOT NULL,
echo EXPENSE_UNIT_EN VARCHAR \(60         \),
echo EXPENSE_UNIT_DE VARCHAR \(60         \),
echo EXPENSE_UNIT_FR VARCHAR \(60         \),
echo EXPENSE_UNIT_JA VARCHAR \(60         \),
echo EXPENSE_UNIT_CS VARCHAR \(60         \),
echo EXPENSE_UNIT_DA VARCHAR \(60         \),
echo EXPENSE_UNIT_EL VARCHAR \(60         \),
echo EXPENSE_UNIT_ES VARCHAR \(60         \),
echo EXPENSE_UNIT_FI VARCHAR \(60         \),
echo EXPENSE_UNIT_HU VARCHAR \(60         \),
echo EXPENSE_UNIT_ID VARCHAR \(60         \),
echo EXPENSE_UNIT_IT VARCHAR \(60         \),
echo EXPENSE_UNIT_KO VARCHAR \(60         \),
echo EXPENSE_UNIT_MS VARCHAR \(60         \),
echo EXPENSE_UNIT_NL VARCHAR \(60         \),
echo EXPENSE_UNIT_NO VARCHAR \(60         \),
echo EXPENSE_UNIT_PL VARCHAR \(60         \),
echo EXPENSE_UNIT_PT VARCHAR \(60         \),
echo EXPENSE_UNIT_RU VARCHAR \(60         \),
echo EXPENSE_UNIT_SC VARCHAR \(60         \),
echo EXPENSE_UNIT_SV VARCHAR \(60         \),
echo EXPENSE_UNIT_TC VARCHAR \(60         \),
echo EXPENSE_UNIT_TH VARCHAR \(60         \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_DIM \(POSITION_KEY INTEGER NOT NULL,
echo POSITION_CODE1 INTEGER NOT NULL,
echo POSITION_CODE2 INTEGER NOT NULL,
echo POSITION_CODE3 INTEGER NOT NULL,
echo POSITION_CODE INTEGER NOT NULL,
echo POSITION_PARENT INTEGER ,
echo MIN_SALARY DECIMAL \(19         ,2     \),
echo MAX_SALARY DECIMAL \(19         ,2     \),
echo PAID_HOURLY INTEGER ,
echo POSITION_LEVEL SMALLINT NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_LOOKUP \(POSITION_CODE INTEGER NOT NULL,
echo POSITION_EN VARCHAR \(210        \),
echo POSITION_DE VARCHAR \(210        \),
echo POSITION_FR VARCHAR \(210        \),
echo POSITION_JA VARCHAR \(210        \),
echo POSITION_CS VARCHAR \(210        \),
echo POSITION_DA VARCHAR \(210        \),
echo POSITION_EL VARCHAR \(210        \),
echo POSITION_ES VARCHAR \(210        \),
echo POSITION_FI VARCHAR \(210        \),
echo POSITION_HU VARCHAR \(210        \),
echo POSITION_ID VARCHAR \(210        \),
echo POSITION_IT VARCHAR \(210        \),
echo POSITION_KO VARCHAR \(210        \),
echo POSITION_MS VARCHAR \(210        \),
echo POSITION_NL VARCHAR \(210        \),
echo POSITION_NO VARCHAR \(210        \),
echo POSITION_PL VARCHAR \(210        \),
echo POSITION_PT VARCHAR \(210        \),
echo POSITION_RU VARCHAR \(210        \),
echo POSITION_SC VARCHAR \(210        \),
echo POSITION_SV VARCHAR \(210        \),
echo POSITION_TC VARCHAR \(210        \),
echo POSITION_TH VARCHAR \(210        \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_SUMMARY_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_SUMMARY_FACT \(DAY_KEY INTEGER NOT NULL,
echo ORGANIZATION_KEY INTEGER NOT NULL,
echo POSITION_KEY INTEGER NOT NULL,
echo POSITION_COUNT INTEGER ,
echo PLANNED_POSITION_COUNT INTEGER ,
echo INTERNAL_HIRES INTEGER ,
echo EXTERNAL_HIRES INTEGER ,
echo TERMINATIONS INTEGER \)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_RANKING_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_RANKING_DIM \(EMPLOYEE_RANKING_KEY INTEGER NOT NULL,
echo RANKING_CODE INTEGER NOT NULL,
echo RANKING_DESCRIPTION_EN VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_DE VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_FR VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_JA VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_CS VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_DA VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_EL VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_ES VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_FI VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_HU VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_ID VARCHAR \(90         \),
echo RANKING_DESCRIPTION_IT VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_KO VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_MS VARCHAR \(90         \),
echo RANKING_DESCRIPTION_NL VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_NO VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_PL VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_PT VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_RU VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_SC VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_SV VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_TC VARCHAR \(90         \)NOT NULL,
echo RANKING_DESCRIPTION_TH VARCHAR \(90         \)NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_RANKING_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_RANKING_FACT \(ORGANIZATION_KEY INTEGER NOT NULL,
echo POSITION_KEY INTEGER NOT NULL,
echo EMPLOYEE_KEY INTEGER NOT NULL,
echo DAY_KEY INTEGER NOT NULL,
echo EMPLOYEE_RANKING_KEY INTEGER NOT NULL,
echo RANKING_CODE INTEGER NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_RECRUITMENT_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_RECRUITMENT_DIM \(RECRUITMENT_MEDIUM_KEY INTEGER NOT NULL,
echo RECRUITMENT_MEDIUM_CODE INTEGER NOT NULL,
echo RECRUITMENT_TYPE_CODE INTEGER NOT NULL,
echo RECRUITMENT_MEDIUM_NAME_EN VARCHAR \(150        \),
echo RECRUITMENT_TYPE_EN VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_DE VARCHAR \(150        \),
echo RECRUITMENT_TYPE_DE VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_FR VARCHAR \(150        \),
echo RECRUITMENT_TYPE_FR VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_JA VARCHAR \(150        \),
echo RECRUITMENT_TYPE_JA VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_CS VARCHAR \(150        \),
echo RECRUITMENT_TYPE_CS VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_DA VARCHAR \(150        \),
echo RECRUITMENT_TYPE_DA VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_EL VARCHAR \(150        \),
echo RECRUITMENT_TYPE_EL VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_ES VARCHAR \(150        \),
echo RECRUITMENT_TYPE_ES VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_FI VARCHAR \(150        \),
echo RECRUITMENT_TYPE_FI VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_HU VARCHAR \(150        \),
echo RECRUITMENT_TYPE_HU VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_ID VARCHAR \(150        \),
echo RECRUITMENT_TYPE_ID VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_IT VARCHAR \(150        \),
echo RECRUITMENT_TYPE_IT VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_KO VARCHAR \(150        \),
echo RECRUITMENT_TYPE_KO VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_MS VARCHAR \(150        \),
echo RECRUITMENT_TYPE_MS VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_NL VARCHAR \(150        \),
echo RECRUITMENT_TYPE_NL VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_NO VARCHAR \(150        \),
echo RECRUITMENT_TYPE_NO VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_PL VARCHAR \(150        \),
echo RECRUITMENT_TYPE_PL VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_PT VARCHAR \(150        \),
echo RECRUITMENT_TYPE_PT VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_RU VARCHAR \(150        \),
echo RECRUITMENT_TYPE_RU VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_SC VARCHAR \(150        \),
echo RECRUITMENT_TYPE_SC VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_SV VARCHAR \(150        \),
echo RECRUITMENT_TYPE_SV VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_TC VARCHAR \(150        \),
echo RECRUITMENT_TYPE_TC VARCHAR \(120        \),
echo RECRUITMENT_MEDIUM_NAME_TH VARCHAR \(150        \),
echo RECRUITMENT_TYPE_TH VARCHAR \(120        \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_RECRUITMENT_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_RECRUITMENT_FACT \(POST_DAY_KEY INTEGER NOT NULL,
echo RECRUITMENT_MEDIUM_KEY INTEGER NOT NULL,
echo ORGANIZATION_KEY INTEGER NOT NULL,
echo BRANCH_KEY INTEGER NOT NULL,
echo POSITION_KEY INTEGER NOT NULL,
echo POSITION_POSTING_DATE TIMESTAMP ,
echo POSITION_FILLED_DATE TIMESTAMP ,
echo POSITION_START_DATE TIMESTAMP ,
echo DAYS_TO_FILL INTEGER \)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_SUCCESSION_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_SUCCESSION_FACT \(DAY_KEY INTEGER NOT NULL,
echo ORGANIZATION_KEY INTEGER NOT NULL,
echo POSITION_KEY INTEGER NOT NULL,
echo EMPLOYEE_KEY INTEGER NOT NULL,
echo SUCCESSOR_EMPLOYEE_KEY INTEGER NOT NULL,
echo SUCCESSOR_POSITION_KEY INTEGER NOT NULL,
echo SUCCESSOR_STATUS_KEY INTEGER NOT NULL,
echo PERCENT_READY DOUBLE NOT NULL,
echo TARGET_PERCENT_READY DOUBLE NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_SUCCESSION_STATUS_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_SUCCESSION_STATUS_DIM \(SUCCESSOR_STATUS_KEY INTEGER NOT NULL,
echo SUCCESSOR_STATUS_CODE INTEGER ,
echo SUCCESSOR_STATUS_EN VARCHAR \(90         \),
echo SUCCESSOR_STATUS_DE VARCHAR \(90         \),
echo SUCCESSOR_STATUS_FR VARCHAR \(90         \),
echo SUCCESSOR_STATUS_JA VARCHAR \(90         \),
echo SUCCESSOR_STATUS_CS VARCHAR \(90         \),
echo SUCCESSOR_STATUS_DA VARCHAR \(90         \),
echo SUCCESSOR_STATUS_EL VARCHAR \(90         \),
echo SUCCESSOR_STATUS_ES VARCHAR \(90         \),
echo SUCCESSOR_STATUS_FI VARCHAR \(90         \),
echo SUCCESSOR_STATUS_HU VARCHAR \(90         \),
echo SUCCESSOR_STATUS_ID VARCHAR \(90         \),
echo SUCCESSOR_STATUS_IT VARCHAR \(90         \),
echo SUCCESSOR_STATUS_KO VARCHAR \(90         \),
echo SUCCESSOR_STATUS_MS VARCHAR \(90         \),
echo SUCCESSOR_STATUS_NL VARCHAR \(90         \),
echo SUCCESSOR_STATUS_NO VARCHAR \(90         \),
echo SUCCESSOR_STATUS_PL VARCHAR \(90         \),
echo SUCCESSOR_STATUS_PT VARCHAR \(90         \),
echo SUCCESSOR_STATUS_RU VARCHAR \(90         \),
echo SUCCESSOR_STATUS_SC VARCHAR \(90         \),
echo SUCCESSOR_STATUS_SV VARCHAR \(90         \),
echo SUCCESSOR_STATUS_TC VARCHAR \(90         \),
echo SUCCESSOR_STATUS_TH VARCHAR \(90         \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_SUMMARY_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_SUMMARY_FACT \(DAY_KEY INTEGER NOT NULL,
echo ORGANIZATION_KEY INTEGER NOT NULL,
echo POSITION_KEY INTEGER NOT NULL,
echo EMPLOYEE_KEY INTEGER NOT NULL,
echo SALARY DECIMAL \(19         ,2     \),
echo PAY_INCREASE DOUBLE ,
echo BONUS DOUBLE ,
echo VACATION_DAYS_TAKEN DOUBLE ,
echo SICK_DAYS_TAKEN DOUBLE \)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_FACT \(DAY_KEY INTEGER NOT NULL,
echo ORGANIZATION_KEY INTEGER NOT NULL,
echo POSITION_KEY INTEGER NOT NULL,
echo EMPLOYEE_TOPIC_KEY INTEGER NOT NULL,
echo EMPLOYEE_TOPIC_SCORE DOUBLE NOT NULL,
echo SATISFACTION_KEY INTEGER NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_TARG_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_TARG_FACT \(MONTH_KEY INTEGER NOT NULL,
echo EMPLOYEE_TOPIC_KEY INTEGER NOT NULL,
echo EMPLOYEE_TOPIC_TARGET DOUBLE ,
echo EMPLOYEE_SURVEY_BENCHMARK DOUBLE \)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_TOPIC_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_TOPIC_DIM \(EMPLOYEE_TOPIC_KEY INTEGER NOT NULL,
echo EMPLOYEE_TOPIC_CODE INTEGER NOT NULL,
echo EMPLOYEE_TOPIC_EN VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_DE VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_FR VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_JA VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_CS VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_DA VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_EL VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_ES VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_FI VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_HU VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_ID VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_IT VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_KO VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_MS VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_NL VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_NO VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_PL VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_PT VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_RU VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_SC VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_SV VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_TC VARCHAR \(120        \),
echo EMPLOYEE_TOPIC_TH VARCHAR \(120        \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_TERMINATION_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_TERMINATION_LOOKUP \(TERMINATION_CODE INTEGER NOT NULL,
echo TERMINATION_REASON_EN VARCHAR \(120        \),
echo TERMINATION_REASON_DE VARCHAR \(120        \),
echo TERMINATION_REASON_FR VARCHAR \(120        \),
echo TERMINATION_REASON_JA VARCHAR \(120        \),
echo TERMINATION_REASON_CS VARCHAR \(120        \),
echo TERMINATION_REASON_DA VARCHAR \(120        \),
echo TERMINATION_REASON_EL VARCHAR \(120        \),
echo TERMINATION_REASON_ES VARCHAR \(120        \),
echo TERMINATION_REASON_FI VARCHAR \(120        \),
echo TERMINATION_REASON_HU VARCHAR \(120        \),
echo TERMINATION_REASON_ID VARCHAR \(120        \),
echo TERMINATION_REASON_IT VARCHAR \(120        \),
echo TERMINATION_REASON_KO VARCHAR \(120        \),
echo TERMINATION_REASON_MS VARCHAR \(120        \),
echo TERMINATION_REASON_NL VARCHAR \(120        \),
echo TERMINATION_REASON_NO VARCHAR \(120        \),
echo TERMINATION_REASON_PL VARCHAR \(120        \),
echo TERMINATION_REASON_PT VARCHAR \(120        \),
echo TERMINATION_REASON_RU VARCHAR \(120        \),
echo TERMINATION_REASON_SC VARCHAR \(120        \),
echo TERMINATION_REASON_SV VARCHAR \(120        \),
echo TERMINATION_REASON_TC VARCHAR \(120        \),
echo TERMINATION_REASON_TH VARCHAR \(120        \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_TRAINING_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_TRAINING_DIM \(TRAINING_KEY INTEGER NOT NULL,
echo COURSE_CODE INTEGER NOT NULL,
echo COURSE_COST DECIMAL \(19         ,2     \),
echo COURSE_DAYS DOUBLE ,
echo COURSE_NAME_EN VARCHAR \(150        \),
echo COURSE_NAME_DE VARCHAR \(150        \),
echo COURSE_NAME_FR VARCHAR \(150        \),
echo COURSE_NAME_JA VARCHAR \(150        \),
echo COURSE_NAME_CS VARCHAR \(150        \),
echo COURSE_NAME_DA VARCHAR \(150        \),
echo COURSE_NAME_EL VARCHAR \(150        \),
echo COURSE_NAME_ES VARCHAR \(150        \),
echo COURSE_NAME_FI VARCHAR \(150        \),
echo COURSE_NAME_HU VARCHAR \(150        \),
echo COURSE_NAME_ID VARCHAR \(150        \),
echo COURSE_NAME_IT VARCHAR \(150        \),
echo COURSE_NAME_KO VARCHAR \(150        \),
echo COURSE_NAME_MS VARCHAR \(150        \),
echo COURSE_NAME_NL VARCHAR \(150        \),
echo COURSE_NAME_NO VARCHAR \(150        \),
echo COURSE_NAME_PL VARCHAR \(150        \),
echo COURSE_NAME_PT VARCHAR \(150        \),
echo COURSE_NAME_RU VARCHAR \(150        \),
echo COURSE_NAME_SC VARCHAR \(150        \),
echo COURSE_NAME_SV VARCHAR \(150        \),
echo COURSE_NAME_TC VARCHAR \(150        \),
echo COURSE_NAME_TH VARCHAR \(150        \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.EMP_TRAINING_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.EMP_TRAINING_FACT \(ORGANIZATION_KEY INTEGER NOT NULL,
echo POSITION_KEY INTEGER NOT NULL,
echo EMPLOYEE_KEY INTEGER NOT NULL,
echo DAY_KEY INTEGER NOT NULL,
echo EXPENSE_TYPE_KEY INTEGER NOT NULL,
echo TRAINING_KEY INTEGER NOT NULL,
echo COURSE_COST DECIMAL \(19         ,2     \),
echo COURSE_DAYS DOUBLE \)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_CLASS_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_CLASS_LOOKUP \(ACCOUNT_CLASS_CODE INTEGER NOT NULL,
echo ACCOUNT_CLASS_EN VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_FR VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_DE VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_NL VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_JA VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_CS VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_HU VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_KO VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_PT VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_SK VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_TR VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_SC VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_TC VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_AR VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_DA VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_EL VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_FI VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_HE VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_HI VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_IT VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_NO VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_PL VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_RO VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_RU VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_SV VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_ES VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_PG VARCHAR \(150        \)NOT NULL,
echo ACCOUNT_CLASS_TH VARCHAR \(150        \)NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_DIM \(ACCOUNT_KEY INTEGER NOT NULL,
echo ACCOUNT_CODE1 VARCHAR \(105        \),
echo ACCOUNT_CODE2 VARCHAR \(105        \),
echo ACCOUNT_CODE3 VARCHAR \(105        \),
echo ACCOUNT_CODE4 VARCHAR \(105        \),
echo ACCOUNT_CODE5 VARCHAR \(105        \),
echo ACCOUNT_CODE6 VARCHAR \(105        \),
echo ACCOUNT_CODE7 VARCHAR \(105        \),
echo ACCOUNT_CODE8 VARCHAR \(105        \),
echo ACCOUNT_CODE9 VARCHAR \(105        \),
echo ACCOUNT_CODE10 VARCHAR \(105        \),
echo ACCOUNT_CODE11 VARCHAR \(105        \),
echo ACCOUNT_CODE12 VARCHAR \(105        \),
echo ACCOUNT_CODE13 VARCHAR \(105        \),
echo ACCOUNT_CODE14 VARCHAR \(105        \),
echo ACCOUNT_CODE15 VARCHAR \(105        \),
echo ACCOUNT_CODE16 VARCHAR \(105        \),
echo ACCOUNT_CODE VARCHAR \(105        \),
echo ACCOUNT_PARENT VARCHAR \(105        \),
echo DEBIT_OR_CREDIT CHARACTER \(3          \),
echo ACCOUNT_TYPE_CODE CHARACTER \(3          \),
echo ACCOUNT_CLASS_CODE INTEGER ,
echo ACCOUNT_LEVEL INTEGER ,
echo AGGREGATION_SIGN CHARACTER \(3          \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_NAME_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_NAME_LOOKUP \(ACCOUNT_CODE VARCHAR \(105        \)NOT NULL,
echo ACCOUNT_NAME_EN VARCHAR \(360        \),
echo ACCOUNT_NAME_DE VARCHAR \(360        \),
echo ACCOUNT_NAME_FR VARCHAR \(360        \),
echo ACCOUNT_NAME_JA VARCHAR \(360        \),
echo ACCOUNT_NAME_CS VARCHAR \(360        \),
echo ACCOUNT_NAME_DA VARCHAR \(360        \),
echo ACCOUNT_NAME_EL VARCHAR \(360        \),
echo ACCOUNT_NAME_ES VARCHAR \(360        \),
echo ACCOUNT_NAME_FI VARCHAR \(360        \),
echo ACCOUNT_NAME_HU VARCHAR \(360        \),
echo ACCOUNT_NAME_ID VARCHAR \(360        \),
echo ACCOUNT_NAME_IT VARCHAR \(360        \),
echo ACCOUNT_NAME_KO VARCHAR \(360        \),
echo ACCOUNT_NAME_MS VARCHAR \(360        \),
echo ACCOUNT_NAME_NL VARCHAR \(360        \),
echo ACCOUNT_NAME_NO VARCHAR \(360        \),
echo ACCOUNT_NAME_PL VARCHAR \(360        \),
echo ACCOUNT_NAME_PT VARCHAR \(360        \),
echo ACCOUNT_NAME_RU VARCHAR \(360        \),
echo ACCOUNT_NAME_SC VARCHAR \(360        \),
echo ACCOUNT_NAME_SV VARCHAR \(360        \),
echo ACCOUNT_NAME_TC VARCHAR \(360        \),
echo ACCOUNT_NAME_TH VARCHAR \(360        \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_TYPE_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_TYPE_LOOKUP \(ACCOUNT_TYPE_CODE CHARACTER \(3          \)NOT NULL,
echo ACCOUNT_TYPE_EN VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_FR VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_DE VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_NL VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_JA VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_CS VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_HU VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_KO VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_PT VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_SK VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_TR VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_SC VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_TC VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_AR VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_DA VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_EL VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_FI VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_HE VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_HI VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_IT VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_NO VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_PL VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_RO VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_RU VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_SV VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_ES VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_PG VARCHAR \(300        \)NOT NULL,
echo ACCOUNT_TYPE_TH VARCHAR \(300        \)NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.FIN_FINANCE_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.FIN_FINANCE_FACT \(SUBMISSION_KEY INTEGER NOT NULL,
echo ORGANIZATION_KEY INTEGER NOT NULL,
echo ACCOUNT_KEY INTEGER NOT NULL,
echo MONTH_KEY INTEGER NOT NULL,
echo AMOUNT_YEAR_TO_DATE DECIMAL \(19         ,2     \),
echo AMOUNT_MONTH DECIMAL \(19         ,2     \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_CURRENCY_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_CURRENCY_LOOKUP \(SUBMISSION_CURRENCY_CODE VARCHAR \(9          \)NOT NULL,
echo SUBMISSION_CURRENCY_EN VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_FR VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_DE VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_NL VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_JA VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_CS VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_HU VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_KO VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_PT VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_SC VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_TC VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_DA VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_EL VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_FI VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_IT VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_NO VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_PL VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_RU VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_SV VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_ES VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_TH VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_MS VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_CURRENCY_ID VARCHAR \(90         \)NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_DIM \(SUBMISSION_KEY INTEGER NOT NULL,
echo SUBMISSION_CODE VARCHAR \(60         \)NOT NULL,
echo SUBMISSION_NAME_EN VARCHAR \(240        \)NOT NULL,
echo SUBMISSION_NAME_CS VARCHAR \(240        \),
echo SUBMISSION_NAME_DA VARCHAR \(240        \),
echo SUBMISSION_NAME_DE VARCHAR \(240        \),
echo SUBMISSION_NAME_EL VARCHAR \(240        \),
echo SUBMISSION_NAME_ES VARCHAR \(240        \),
echo SUBMISSION_NAME_FI VARCHAR \(240        \),
echo SUBMISSION_NAME_FR VARCHAR \(240        \),
echo SUBMISSION_NAME_HU VARCHAR \(240        \),
echo SUBMISSION_NAME_ID VARCHAR \(240        \),
echo SUBMISSION_NAME_IT VARCHAR \(240        \),
echo SUBMISSION_NAME_JA VARCHAR \(240        \),
echo SUBMISSION_NAME_KO VARCHAR \(240        \),
echo SUBMISSION_NAME_MS VARCHAR \(240        \),
echo SUBMISSION_NAME_NL VARCHAR \(240        \),
echo SUBMISSION_NAME_NO VARCHAR \(240        \),
echo SUBMISSION_NAME_PL VARCHAR \(240        \),
echo SUBMISSION_NAME_PT VARCHAR \(240        \),
echo SUBMISSION_NAME_RU VARCHAR \(240        \),
echo SUBMISSION_NAME_SC VARCHAR \(240        \),
echo SUBMISSION_NAME_SV VARCHAR \(240        \),
echo SUBMISSION_NAME_TC VARCHAR \(240        \),
echo SUBMISSION_NAME_TH VARCHAR \(240        \),
echo SUBMISSION_YEAR INTEGER ,
echo SUBMISSION_TYPE_CODE CHARACTER \(3          \),
echo SUBMISSION_CURRENCY_CODE VARCHAR \(9          \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_TYPE_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_TYPE_LOOKUP \(SUBMISSION_TYPE_CODE CHARACTER \(3          \)NOT NULL,
echo SUBMISSION_TYPE_EN VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_FR VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_DE VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_NL VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_JA VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_CS VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_HU VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_KO VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_PT VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_SC VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_TC VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_DA VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_EL VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_FI VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_IT VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_NO VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_PL VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_RU VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_SV VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_ES VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_TH VARCHAR \(90         \)NOT NULL,
echo SUBMISSION_TYPE_MS VARCHAR \(90         \),
echo SUBMISSION_TYPE_ID VARCHAR \(90         \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.GO_BRANCH_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.GO_BRANCH_DIM \(BRANCH_KEY INTEGER NOT NULL,
echo BRANCH_CODE INTEGER NOT NULL,
echo ADDRESS1 VARCHAR \(120        \)NOT NULL,
echo ADDRESS2 VARCHAR \(120        \),
echo CITY VARCHAR \(60         \)NOT NULL,
echo PROV_STATE VARCHAR \(60         \),
echo ADDRESS1_MB VARCHAR \(120        \),
echo ADDRESS2_MB VARCHAR \(120        \),
echo CITY_MB VARCHAR \(60         \)NOT NULL,
echo PROV_STATE_MB VARCHAR \(60         \),
echo POSTAL_ZONE VARCHAR \(30         \)NOT NULL,
echo COUNTRY_CODE INTEGER NOT NULL,
echo WAREHOUSE_BRANCH_CODE INTEGER NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.GO_GENDER_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.GO_GENDER_LOOKUP \(GENDER_CODE SMALLINT NOT NULL,
echo GENDER_EN VARCHAR \(45         \),
echo GENDER_DE VARCHAR \(45         \),
echo GENDER_FR VARCHAR \(45         \),
echo GENDER_JA VARCHAR \(45         \),
echo GENDER_CS VARCHAR \(45         \),
echo GENDER_DA VARCHAR \(45         \),
echo GENDER_EL VARCHAR \(45         \),
echo GENDER_ES VARCHAR \(45         \),
echo GENDER_FI VARCHAR \(45         \),
echo GENDER_HU VARCHAR \(45         \),
echo GENDER_ID VARCHAR \(45         \),
echo GENDER_IT VARCHAR \(45         \),
echo GENDER_KO VARCHAR \(45         \),
echo GENDER_MS VARCHAR \(45         \),
echo GENDER_NL VARCHAR \(45         \),
echo GENDER_NO VARCHAR \(45         \),
echo GENDER_PL VARCHAR \(45         \),
echo GENDER_PT VARCHAR \(45         \),
echo GENDER_RU VARCHAR \(45         \),
echo GENDER_SC VARCHAR \(45         \),
echo GENDER_SV VARCHAR \(45         \),
echo GENDER_TC VARCHAR \(45         \),
echo GENDER_TH VARCHAR \(45         \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.GO_ORG_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.GO_ORG_DIM \(ORGANIZATION_KEY INTEGER NOT NULL,
echo ORGANIZATION_CODE1 VARCHAR \(30         \),
echo ORGANIZATION_CODE2 VARCHAR \(30         \),
echo ORGANIZATION_CODE3 VARCHAR \(30         \),
echo ORGANIZATION_CODE4 VARCHAR \(30         \),
echo ORGANIZATION_CODE VARCHAR \(30         \),
echo ORGANIZATION_PARENT VARCHAR \(30         \),
echo ORGANIZATION_LEVEL SMALLINT \)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.GO_ORG_NAME_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.GO_ORG_NAME_LOOKUP \(ORGANIZATION_CODE VARCHAR \(30         \)NOT NULL,
echo ORGANIZATION_NAME_EN VARCHAR \(180        \),
echo ORGANIZATION_NAME_DE VARCHAR \(180        \),
echo ORGANIZATION_NAME_FR VARCHAR \(180        \),
echo ORGANIZATION_NAME_JA VARCHAR \(180        \),
echo ORGANIZATION_NAME_CS VARCHAR \(180        \),
echo ORGANIZATION_NAME_DA VARCHAR \(180        \),
echo ORGANIZATION_NAME_EL VARCHAR \(180        \),
echo ORGANIZATION_NAME_ES VARCHAR \(180        \),
echo ORGANIZATION_NAME_FI VARCHAR \(180        \),
echo ORGANIZATION_NAME_HU VARCHAR \(180        \),
echo ORGANIZATION_NAME_ID VARCHAR \(180        \),
echo ORGANIZATION_NAME_IT VARCHAR \(180        \),
echo ORGANIZATION_NAME_KO VARCHAR \(180        \),
echo ORGANIZATION_NAME_MS VARCHAR \(180        \),
echo ORGANIZATION_NAME_NL VARCHAR \(180        \),
echo ORGANIZATION_NAME_NO VARCHAR \(180        \),
echo ORGANIZATION_NAME_PL VARCHAR \(180        \),
echo ORGANIZATION_NAME_PT VARCHAR \(180        \),
echo ORGANIZATION_NAME_RU VARCHAR \(180        \),
echo ORGANIZATION_NAME_SC VARCHAR \(180        \),
echo ORGANIZATION_NAME_SV VARCHAR \(180        \),
echo ORGANIZATION_NAME_TC VARCHAR \(180        \),
echo ORGANIZATION_NAME_TH VARCHAR \(180        \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.GO_REGION_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.GO_REGION_DIM \(COUNTRY_KEY INTEGER NOT NULL,
echo COUNTRY_CODE INTEGER NOT NULL,
echo FLAG_IMAGE VARCHAR \(45         \),
echo ISO_THREE_LETTER_CODE VARCHAR \(9          \),
echo ISO_TWO_LETTER_CODE VARCHAR \(6          \),
echo ISO_THREE_DIGIT_CODE VARCHAR \(9          \),
echo REGION_KEY INTEGER NOT NULL,
echo REGION_CODE INTEGER NOT NULL,
echo REGION_EN VARCHAR \(90         \)NOT NULL,
echo COUNTRY_EN VARCHAR \(90         \)NOT NULL,
echo REGION_DE VARCHAR \(90         \)NOT NULL,
echo COUNTRY_DE VARCHAR \(90         \)NOT NULL,
echo REGION_FR VARCHAR \(90         \)NOT NULL,
echo COUNTRY_FR VARCHAR \(90         \)NOT NULL,
echo REGION_JA VARCHAR \(90         \)NOT NULL,
echo COUNTRY_JA VARCHAR \(90         \)NOT NULL,
echo REGION_CS VARCHAR \(90         \)NOT NULL,
echo COUNTRY_CS VARCHAR \(90         \)NOT NULL,
echo REGION_DA VARCHAR \(90         \)NOT NULL,
echo COUNTRY_DA VARCHAR \(90         \)NOT NULL,
echo REGION_EL VARCHAR \(90         \)NOT NULL,
echo COUNTRY_EL VARCHAR \(90         \)NOT NULL,
echo REGION_ES VARCHAR \(90         \)NOT NULL,
echo COUNTRY_ES VARCHAR \(90         \)NOT NULL,
echo REGION_FI VARCHAR \(90         \)NOT NULL,
echo COUNTRY_FI VARCHAR \(90         \)NOT NULL,
echo REGION_HU VARCHAR \(90         \)NOT NULL,
echo COUNTRY_HU VARCHAR \(90         \)NOT NULL,
echo REGION_ID VARCHAR \(90         \),
echo COUNTRY_ID VARCHAR \(90         \),
echo REGION_IT VARCHAR \(90         \)NOT NULL,
echo COUNTRY_IT VARCHAR \(90         \)NOT NULL,
echo REGION_KO VARCHAR \(90         \)NOT NULL,
echo COUNTRY_KO VARCHAR \(90         \)NOT NULL,
echo REGION_MS VARCHAR \(90         \),
echo COUNTRY_MS VARCHAR \(90         \),
echo REGION_NL VARCHAR \(90         \)NOT NULL,
echo COUNTRY_NL VARCHAR \(90         \)NOT NULL,
echo REGION_NO VARCHAR \(90         \)NOT NULL,
echo COUNTRY_NO VARCHAR \(90         \)NOT NULL,
echo REGION_PL VARCHAR \(90         \)NOT NULL,
echo COUNTRY_PL VARCHAR \(90         \)NOT NULL,
echo REGION_PT VARCHAR \(90         \)NOT NULL,
echo COUNTRY_PT VARCHAR \(90         \)NOT NULL,
echo REGION_RU VARCHAR \(90         \)NOT NULL,
echo COUNTRY_RU VARCHAR \(90         \)NOT NULL,
echo REGION_SC VARCHAR \(90         \)NOT NULL,
echo COUNTRY_SC VARCHAR \(90         \)NOT NULL,
echo REGION_SV VARCHAR \(90         \)NOT NULL,
echo COUNTRY_SV VARCHAR \(90         \)NOT NULL,
echo REGION_TC VARCHAR \(90         \)NOT NULL,
echo COUNTRY_TC VARCHAR \(90         \)NOT NULL,
echo REGION_TH VARCHAR \(90         \)NOT NULL,
echo COUNTRY_TH VARCHAR \(90         \)NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.GO_SATISFACTION_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.GO_SATISFACTION_DIM \(SATISFACTION_KEY INTEGER NOT NULL,
echo SATISFACTION_CODE INTEGER NOT NULL,
echo SATISFACTION_LOWER_LIMIT DOUBLE ,
echo SATISFACTION_UPPER_LIMIT DOUBLE ,
echo SATISFACTION_DESCRIPTION_EN VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_DE VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_FR VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_JA VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_CS VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_DA VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_EL VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_ES VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_FI VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_HU VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_ID VARCHAR \(120        \),
echo SATISFACTION_DESCRIPTION_IT VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_KO VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_MS VARCHAR \(120        \),
echo SATISFACTION_DESCRIPTION_NL VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_NO VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_PL VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_PT VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_RU VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_SC VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_SV VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_TC VARCHAR \(120        \)NOT NULL,
echo SATISFACTION_DESCRIPTION_TH VARCHAR \(120        \)NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.GO_TIME_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.GO_TIME_DIM \(DAY_KEY INTEGER NOT NULL,
echo DAY_DATE TIMESTAMP ,
echo MONTH_KEY INTEGER NOT NULL,
echo CURRENT_MONTH SMALLINT ,
echo MONTH_NUMBER INTEGER ,
echo QUARTER_KEY INTEGER NOT NULL,
echo CURRENT_QUARTER SMALLINT ,
echo CURRENT_YEAR SMALLINT NOT NULL,
echo DAY_OF_WEEK SMALLINT ,
echo DAY_OF_MONTH SMALLINT ,
echo DAYS_IN_MONTH SMALLINT ,
echo DAY_OF_YEAR SMALLINT ,
echo WEEK_OF_MONTH SMALLINT ,
echo WEEK_OF_QUARTER SMALLINT ,
echo WEEK_OF_YEAR SMALLINT ,
echo MONTH_EN VARCHAR \(75         \),
echo WEEKDAY_EN VARCHAR \(60         \),
echo MONTH_DE VARCHAR \(75         \),
echo WEEKDAY_DE VARCHAR \(60         \),
echo MONTH_FR VARCHAR \(75         \),
echo WEEKDAY_FR VARCHAR \(60         \),
echo MONTH_JA VARCHAR \(75         \),
echo WEEKDAY_JA VARCHAR \(60         \),
echo MONTH_CS VARCHAR \(75         \),
echo WEEKDAY_CS VARCHAR \(60         \),
echo MONTH_DA VARCHAR \(75         \),
echo WEEKDAY_DA VARCHAR \(60         \),
echo MONTH_EL VARCHAR \(75         \),
echo WEEKDAY_EL VARCHAR \(60         \),
echo MONTH_ES VARCHAR \(75         \),
echo WEEKDAY_ES VARCHAR \(60         \),
echo MONTH_FI VARCHAR \(75         \),
echo WEEKDAY_FI VARCHAR \(60         \),
echo MONTH_HU VARCHAR \(75         \),
echo WEEKDAY_HU VARCHAR \(60         \),
echo MONTH_ID VARCHAR \(75         \),
echo WEEKDAY_ID VARCHAR \(60         \),
echo MONTH_IT VARCHAR \(75         \),
echo WEEKDAY_IT VARCHAR \(60         \),
echo MONTH_KO VARCHAR \(75         \),
echo WEEKDAY_KO VARCHAR \(60         \),
echo MONTH_MS VARCHAR \(75         \),
echo WEEKDAY_MS VARCHAR \(60         \),
echo MONTH_NL VARCHAR \(75         \),
echo WEEKDAY_NL VARCHAR \(60         \),
echo MONTH_NO VARCHAR \(75         \),
echo WEEKDAY_NO VARCHAR \(60         \),
echo MONTH_PL VARCHAR \(75         \),
echo WEEKDAY_PL VARCHAR \(60         \),
echo MONTH_PT VARCHAR \(75         \),
echo WEEKDAY_PT VARCHAR \(60         \),
echo MONTH_RU VARCHAR \(75         \),
echo WEEKDAY_RU VARCHAR \(60         \),
echo MONTH_SC VARCHAR \(75         \),
echo WEEKDAY_SC VARCHAR \(60         \),
echo MONTH_SV VARCHAR \(75         \),
echo WEEKDAY_SV VARCHAR \(60         \),
echo MONTH_TC VARCHAR \(75         \),
echo WEEKDAY_TC VARCHAR \(60         \),
echo MONTH_TH VARCHAR \(75         \),
echo WEEKDAY_TH VARCHAR \(60         \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.GO_TIME_QUARTER_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.GO_TIME_QUARTER_LOOKUP \(QUARTER_KEY INTEGER NOT NULL,
echo QUARTER_EN VARCHAR \(60         \),
echo QUARTER_DE VARCHAR \(60         \),
echo QUARTER_FR VARCHAR \(60         \),
echo QUARTER_JA VARCHAR \(60         \),
echo QUARTER_CS VARCHAR \(60         \),
echo QUARTER_DA VARCHAR \(60         \),
echo QUARTER_EL VARCHAR \(60         \),
echo QUARTER_ES VARCHAR \(60         \),
echo QUARTER_FI VARCHAR \(60         \),
echo QUARTER_HU VARCHAR \(60         \),
echo QUARTER_ID VARCHAR \(60         \),
echo QUARTER_IT VARCHAR \(60         \),
echo QUARTER_KO VARCHAR \(60         \),
echo QUARTER_MS VARCHAR \(60         \),
echo QUARTER_NL VARCHAR \(60         \),
echo QUARTER_NO VARCHAR \(60         \),
echo QUARTER_PL VARCHAR \(60         \),
echo QUARTER_PT VARCHAR \(60         \),
echo QUARTER_RU VARCHAR \(60         \),
echo QUARTER_SC VARCHAR \(60         \),
echo QUARTER_SV VARCHAR \(60         \),
echo QUARTER_TC VARCHAR \(60         \),
echo QUARTER_TH VARCHAR \(60         \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.MRK_ACTIVITY_STATUS_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.MRK_ACTIVITY_STATUS_DIM \(ACTIVITY_STATUS_KEY INTEGER NOT NULL,
echo ACTIVITY_STATUS_CODE SMALLINT NOT NULL,
echo ACTIVITY_STATUS_EN VARCHAR \(60         \),
echo ACTIVITY_STATUS_DE VARCHAR \(60         \),
echo ACTIVITY_STATUS_FR VARCHAR \(60         \),
echo ACTIVITY_STATUS_JA VARCHAR \(60         \),
echo ACTIVITY_STATUS_CS VARCHAR \(60         \),
echo ACTIVITY_STATUS_DA VARCHAR \(60         \),
echo ACTIVITY_STATUS_EL VARCHAR \(60         \),
echo ACTIVITY_STATUS_ES VARCHAR \(60         \),
echo ACTIVITY_STATUS_FI VARCHAR \(60         \),
echo ACTIVITY_STATUS_HU VARCHAR \(60         \),
echo ACTIVITY_STATUS_ID VARCHAR \(60         \),
echo ACTIVITY_STATUS_IT VARCHAR \(60         \),
echo ACTIVITY_STATUS_KO VARCHAR \(60         \),
echo ACTIVITY_STATUS_MS VARCHAR \(60         \),
echo ACTIVITY_STATUS_NL VARCHAR \(60         \),
echo ACTIVITY_STATUS_NO VARCHAR \(60         \),
echo ACTIVITY_STATUS_PL VARCHAR \(60         \),
echo ACTIVITY_STATUS_PT VARCHAR \(60         \),
echo ACTIVITY_STATUS_RU VARCHAR \(60         \),
echo ACTIVITY_STATUS_SC VARCHAR \(60         \),
echo ACTIVITY_STATUS_SV VARCHAR \(60         \),
echo ACTIVITY_STATUS_TC VARCHAR \(60         \),
echo ACTIVITY_STATUS_TH VARCHAR \(60         \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.MRK_BUNDLE_GROUP_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.MRK_BUNDLE_GROUP_LOOKUP \(BUNDLE_GROUP_CODE INTEGER NOT NULL,
echo BUNDLE_GROUP_EN VARCHAR \(120        \),
echo BUNDLE_GROUP_DE VARCHAR \(120        \),
echo BUNDLE_GROUP_FR VARCHAR \(120        \),
echo BUNDLE_GROUP_JA VARCHAR \(120        \),
echo BUNDLE_GROUP_CS VARCHAR \(120        \),
echo BUNDLE_GROUP_DA VARCHAR \(120        \),
echo BUNDLE_GROUP_EL VARCHAR \(120        \),
echo BUNDLE_GROUP_ES VARCHAR \(120        \),
echo BUNDLE_GROUP_FI VARCHAR \(120        \),
echo BUNDLE_GROUP_HU VARCHAR \(120        \),
echo BUNDLE_GROUP_ID VARCHAR \(120        \),
echo BUNDLE_GROUP_IT VARCHAR \(120        \),
echo BUNDLE_GROUP_KO VARCHAR \(120        \),
echo BUNDLE_GROUP_MS VARCHAR \(120        \),
echo BUNDLE_GROUP_NL VARCHAR \(120        \),
echo BUNDLE_GROUP_NO VARCHAR \(120        \),
echo BUNDLE_GROUP_PL VARCHAR \(120        \),
echo BUNDLE_GROUP_PT VARCHAR \(120        \),
echo BUNDLE_GROUP_RU VARCHAR \(120        \),
echo BUNDLE_GROUP_SC VARCHAR \(120        \),
echo BUNDLE_GROUP_SV VARCHAR \(120        \),
echo BUNDLE_GROUP_TC VARCHAR \(120        \),
echo BUNDLE_GROUP_TH VARCHAR \(120        \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.MRK_CAMPAIGN_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.MRK_CAMPAIGN_LOOKUP \(CAMPAIGN_CODE INTEGER NOT NULL,
echo CAMPAIGN_NAME_EN VARCHAR \(150        \),
echo CAMPAIGN_NAME_DE VARCHAR \(150        \),
echo CAMPAIGN_NAME_FR VARCHAR \(150        \),
echo CAMPAIGN_NAME_JA VARCHAR \(150        \),
echo CAMPAIGN_NAME_CS VARCHAR \(150        \),
echo CAMPAIGN_NAME_DA VARCHAR \(150        \),
echo CAMPAIGN_NAME_EL VARCHAR \(150        \),
echo CAMPAIGN_NAME_ES VARCHAR \(150        \),
echo CAMPAIGN_NAME_FI VARCHAR \(150        \),
echo CAMPAIGN_NAME_HU VARCHAR \(150        \),
echo CAMPAIGN_NAME_ID VARCHAR \(150        \),
echo CAMPAIGN_NAME_IT VARCHAR \(150        \),
echo CAMPAIGN_NAME_KO VARCHAR \(150        \),
echo CAMPAIGN_NAME_MS VARCHAR \(150        \),
echo CAMPAIGN_NAME_NL VARCHAR \(150        \),
echo CAMPAIGN_NAME_NO VARCHAR \(150        \),
echo CAMPAIGN_NAME_PL VARCHAR \(150        \),
echo CAMPAIGN_NAME_PT VARCHAR \(150        \),
echo CAMPAIGN_NAME_RU VARCHAR \(150        \),
echo CAMPAIGN_NAME_SC VARCHAR \(150        \),
echo CAMPAIGN_NAME_SV VARCHAR \(150        \),
echo CAMPAIGN_NAME_TC VARCHAR \(150        \),
echo CAMPAIGN_NAME_TH VARCHAR \(150        \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.MRK_PRODUCT_SURVEY_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.MRK_PRODUCT_SURVEY_DIM \(PRODUCT_SURVEY_KEY INTEGER NOT NULL,
echo PRODUCT_TOPIC_CODE INTEGER ,
echo PRODUCT_TOPIC_EN VARCHAR \(120        \),
echo PRODUCT_TOPIC_DE VARCHAR \(120        \),
echo PRODUCT_TOPIC_FR VARCHAR \(120        \),
echo PRODUCT_TOPIC_JA VARCHAR \(120        \),
echo PRODUCT_TOPIC_CS VARCHAR \(120        \),
echo PRODUCT_TOPIC_DA VARCHAR \(120        \),
echo PRODUCT_TOPIC_EL VARCHAR \(120        \),
echo PRODUCT_TOPIC_ES VARCHAR \(120        \),
echo PRODUCT_TOPIC_FI VARCHAR \(120        \),
echo PRODUCT_TOPIC_HU VARCHAR \(120        \),
echo PRODUCT_TOPIC_ID VARCHAR \(120        \),
echo PRODUCT_TOPIC_IT VARCHAR \(120        \),
echo PRODUCT_TOPIC_KO VARCHAR \(120        \),
echo PRODUCT_TOPIC_MS VARCHAR \(120        \),
echo PRODUCT_TOPIC_NL VARCHAR \(120        \),
echo PRODUCT_TOPIC_NO VARCHAR \(120        \),
echo PRODUCT_TOPIC_PL VARCHAR \(120        \),
echo PRODUCT_TOPIC_PT VARCHAR \(120        \),
echo PRODUCT_TOPIC_RU VARCHAR \(120        \),
echo PRODUCT_TOPIC_SC VARCHAR \(120        \),
echo PRODUCT_TOPIC_SV VARCHAR \(120        \),
echo PRODUCT_TOPIC_TC VARCHAR \(120        \),
echo PRODUCT_TOPIC_TH VARCHAR \(120        \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.MRK_PRODUCT_SURVEY_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.MRK_PRODUCT_SURVEY_FACT \(MONTH_KEY INTEGER NOT NULL,
echo ORGANIZATION_KEY INTEGER NOT NULL,
echo RTL_COUNTRY_KEY INTEGER NOT NULL,
echo BRANCH_KEY INTEGER NOT NULL,
echo PRODUCT_KEY INTEGER NOT NULL,
echo PRODUCT_SURVEY_KEY INTEGER NOT NULL,
echo PRODUCT_TOPIC_SCORE DOUBLE \)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.MRK_PROD_SURVEY_TARG_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.MRK_PROD_SURVEY_TARG_FACT \(MONTH_KEY INTEGER NOT NULL,
echo PRODUCT_KEY INTEGER NOT NULL,
echo PRODUCT_SURVEY_KEY INTEGER NOT NULL,
echo PRODUCT_TOPIC_TARGET DOUBLE \)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_DIM \(PROMOTION_KEY INTEGER NOT NULL,
echo PROMOTION_CODE INTEGER NOT NULL,
echo CAMPAIGN_CODE INTEGER NOT NULL,
echo BUNDLE_GROUP_CODE INTEGER ,
echo PROMOTION_NAME_EN VARCHAR \(180        \),
echo PROMOTION_NAME_DE VARCHAR \(180        \),
echo PROMOTION_NAME_FR VARCHAR \(180        \),
echo PROMOTION_NAME_JA VARCHAR \(180        \),
echo PROMOTION_NAME_CS VARCHAR \(180        \),
echo PROMOTION_NAME_DA VARCHAR \(180        \),
echo PROMOTION_NAME_EL VARCHAR \(180        \),
echo PROMOTION_NAME_ES VARCHAR \(180        \),
echo PROMOTION_NAME_FI VARCHAR \(180        \),
echo PROMOTION_NAME_HU VARCHAR \(180        \),
echo PROMOTION_NAME_ID VARCHAR \(180        \),
echo PROMOTION_NAME_IT VARCHAR \(180        \),
echo PROMOTION_NAME_KO VARCHAR \(180        \),
echo PROMOTION_NAME_MS VARCHAR \(180        \),
echo PROMOTION_NAME_NL VARCHAR \(180        \),
echo PROMOTION_NAME_NO VARCHAR \(180        \),
echo PROMOTION_NAME_PL VARCHAR \(180        \),
echo PROMOTION_NAME_PT VARCHAR \(180        \),
echo PROMOTION_NAME_RU VARCHAR \(180        \),
echo PROMOTION_NAME_SC VARCHAR \(180        \),
echo PROMOTION_NAME_SV VARCHAR \(180        \),
echo PROMOTION_NAME_TC VARCHAR \(180        \),
echo PROMOTION_NAME_TH VARCHAR \(180        \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_FACT \(ORGANIZATION_KEY INTEGER NOT NULL,
echo ORDER_DAY_KEY INTEGER NOT NULL,
echo RTL_COUNTRY_KEY INTEGER NOT NULL,
echo EMPLOYEE_KEY INTEGER NOT NULL,
echo RETAILER_KEY INTEGER NOT NULL,
echo PRODUCT_KEY INTEGER NOT NULL,
echo PROMOTION_KEY INTEGER NOT NULL,
echo SALES_ORDER_KEY INTEGER NOT NULL,
echo QUANTITY SMALLINT ,
echo UNIT_COST DECIMAL \(19         ,2     \),
echo UNIT_PRICE DECIMAL \(19         ,2     \),
echo UNIT_SALE_PRICE DECIMAL \(19         ,2     \),
echo GROSS_MARGIN DOUBLE ,
echo SALE_TOTAL DECIMAL \(19         ,2     \),
echo GROSS_PROFIT DECIMAL \(19         ,2     \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_PLAN_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_PLAN_FACT \(MONTH_KEY INTEGER NOT NULL,
echo ORGANIZATION_KEY INTEGER NOT NULL,
echo BRANCH_KEY INTEGER NOT NULL,
echo RTL_COUNTRY_KEY INTEGER NOT NULL,
echo PRODUCT_KEY INTEGER NOT NULL,
echo PROMOTION_KEY INTEGER NOT NULL,
echo UNIT_COST DECIMAL \(19         ,2     \),
echo UNIT_PRICE DECIMAL \(19         ,2     \),
echo UNIT_SALE_PRICE DECIMAL \(19         ,2     \),
echo PROMOTION_PLAN_QUANTITY INTEGER NOT NULL,
echo PROMOTION_PLAN_REVENUE DECIMAL \(19         ,2     \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_DIM \(RETAILER_SURVEY_KEY INTEGER NOT NULL,
echo RETAILER_TOPIC_CODE INTEGER ,
echo RETAILER_TOPIC_EN VARCHAR \(150        \),
echo RETAILER_TOPIC_DE VARCHAR \(150        \),
echo RETAILER_TOPIC_FR VARCHAR \(150        \),
echo RETAILER_TOPIC_JA VARCHAR \(150        \),
echo RETAILER_TOPIC_CS VARCHAR \(150        \),
echo RETAILER_TOPIC_DA VARCHAR \(150        \),
echo RETAILER_TOPIC_EL VARCHAR \(150        \),
echo RETAILER_TOPIC_ES VARCHAR \(150        \),
echo RETAILER_TOPIC_FI VARCHAR \(150        \),
echo RETAILER_TOPIC_HU VARCHAR \(150        \),
echo RETAILER_TOPIC_ID VARCHAR \(150        \),
echo RETAILER_TOPIC_IT VARCHAR \(150        \),
echo RETAILER_TOPIC_KO VARCHAR \(150        \),
echo RETAILER_TOPIC_MS VARCHAR \(150        \),
echo RETAILER_TOPIC_NL VARCHAR \(150        \),
echo RETAILER_TOPIC_NO VARCHAR \(150        \),
echo RETAILER_TOPIC_PL VARCHAR \(150        \),
echo RETAILER_TOPIC_PT VARCHAR \(150        \),
echo RETAILER_TOPIC_RU VARCHAR \(150        \),
echo RETAILER_TOPIC_SC VARCHAR \(150        \),
echo RETAILER_TOPIC_SV VARCHAR \(150        \),
echo RETAILER_TOPIC_TC VARCHAR \(150        \),
echo RETAILER_TOPIC_TH VARCHAR \(150        \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_FACT \(MONTH_KEY INTEGER NOT NULL,
echo ORGANIZATION_KEY INTEGER NOT NULL,
echo BRANCH_KEY INTEGER NOT NULL,
echo RTL_COUNTRY_KEY INTEGER NOT NULL,
echo RETAILER_KEY INTEGER NOT NULL,
echo RETAILER_SURVEY_KEY INTEGER NOT NULL,
echo RETAILER_TOPIC_SCORE DOUBLE \)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_TARG_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_TARG_FACT \(RETAILER_SURVEY_KEY INTEGER NOT NULL,
echo MONTH_KEY INTEGER NOT NULL,
echo RETAILER_TOPIC_WEIGHT INTEGER ,
echo RETAILER_TOPIC_TARGET DOUBLE \)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.SLS_ORDER_METHOD_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.SLS_ORDER_METHOD_DIM \(ORDER_METHOD_KEY INTEGER NOT NULL,
echo ORDER_METHOD_CODE INTEGER NOT NULL,
echo ORDER_METHOD_EN VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_DE VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_FR VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_JA VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_CS VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_DA VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_EL VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_ES VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_FI VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_HU VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_ID VARCHAR \(90         \),
echo ORDER_METHOD_IT VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_KO VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_MS VARCHAR \(90         \),
echo ORDER_METHOD_NL VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_NO VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_PL VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_PT VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_RU VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_SC VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_SV VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_TC VARCHAR \(90         \)NOT NULL,
echo ORDER_METHOD_TH VARCHAR \(90         \)NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_BRAND_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_BRAND_LOOKUP \(PRODUCT_BRAND_CODE INTEGER NOT NULL,
echo PRODUCT_BRAND_EN VARCHAR \(90         \),
echo PRODUCT_BRAND_DE VARCHAR \(90         \),
echo PRODUCT_BRAND_FR VARCHAR \(90         \),
echo PRODUCT_BRAND_JA VARCHAR \(90         \),
echo PRODUCT_BRAND_CS VARCHAR \(90         \),
echo PRODUCT_BRAND_DA VARCHAR \(90         \),
echo PRODUCT_BRAND_EL VARCHAR \(90         \),
echo PRODUCT_BRAND_ES VARCHAR \(90         \),
echo PRODUCT_BRAND_FI VARCHAR \(90         \),
echo PRODUCT_BRAND_HU VARCHAR \(90         \),
echo PRODUCT_BRAND_ID VARCHAR \(90         \),
echo PRODUCT_BRAND_IT VARCHAR \(90         \),
echo PRODUCT_BRAND_KO VARCHAR \(90         \),
echo PRODUCT_BRAND_MS VARCHAR \(90         \),
echo PRODUCT_BRAND_NL VARCHAR \(90         \),
echo PRODUCT_BRAND_NO VARCHAR \(90         \),
echo PRODUCT_BRAND_PL VARCHAR \(90         \),
echo PRODUCT_BRAND_PT VARCHAR \(90         \),
echo PRODUCT_BRAND_RU VARCHAR \(90         \),
echo PRODUCT_BRAND_SC VARCHAR \(90         \),
echo PRODUCT_BRAND_SV VARCHAR \(90         \),
echo PRODUCT_BRAND_TC VARCHAR \(90         \),
echo PRODUCT_BRAND_TH VARCHAR \(90         \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_COLOR_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_COLOR_LOOKUP \(PRODUCT_COLOR_CODE INTEGER NOT NULL,
echo PRODUCT_COLOR_EN VARCHAR \(90         \),
echo PRODUCT_COLOR_DE VARCHAR \(90         \),
echo PRODUCT_COLOR_FR VARCHAR \(90         \),
echo PRODUCT_COLOR_JA VARCHAR \(90         \),
echo PRODUCT_COLOR_CS VARCHAR \(90         \),
echo PRODUCT_COLOR_DA VARCHAR \(90         \),
echo PRODUCT_COLOR_EL VARCHAR \(90         \),
echo PRODUCT_COLOR_ES VARCHAR \(90         \),
echo PRODUCT_COLOR_FI VARCHAR \(90         \),
echo PRODUCT_COLOR_HU VARCHAR \(90         \),
echo PRODUCT_COLOR_ID VARCHAR \(90         \),
echo PRODUCT_COLOR_IT VARCHAR \(90         \),
echo PRODUCT_COLOR_KO VARCHAR \(90         \),
echo PRODUCT_COLOR_MS VARCHAR \(90         \),
echo PRODUCT_COLOR_NL VARCHAR \(90         \),
echo PRODUCT_COLOR_NO VARCHAR \(90         \),
echo PRODUCT_COLOR_PL VARCHAR \(90         \),
echo PRODUCT_COLOR_PT VARCHAR \(90         \),
echo PRODUCT_COLOR_RU VARCHAR \(90         \),
echo PRODUCT_COLOR_SC VARCHAR \(90         \),
echo PRODUCT_COLOR_SV VARCHAR \(90         \),
echo PRODUCT_COLOR_TC VARCHAR \(90         \),
echo PRODUCT_COLOR_TH VARCHAR \(90         \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_DIM \(PRODUCT_KEY INTEGER NOT NULL,
echo PRODUCT_LINE_CODE INTEGER NOT NULL,
echo PRODUCT_TYPE_KEY INTEGER NOT NULL,
echo PRODUCT_TYPE_CODE INTEGER NOT NULL,
echo PRODUCT_NUMBER INTEGER NOT NULL,
echo BASE_PRODUCT_KEY INTEGER ,
echo BASE_PRODUCT_NUMBER INTEGER ,
echo PRODUCT_COLOR_CODE INTEGER ,
echo PRODUCT_SIZE_CODE INTEGER ,
echo PRODUCT_BRAND_KEY INTEGER ,
echo PRODUCT_BRAND_CODE INTEGER ,
echo PRODUCT_IMAGE VARCHAR \(60         \),
echo INTRODUCTION_DATE TIMESTAMP NOT NULL,
echo DISCONTINUED_DATE TIMESTAMP \)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_LINE_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_LINE_LOOKUP \(PRODUCT_LINE_CODE INTEGER NOT NULL,
echo PRODUCT_LINE_EN VARCHAR \(90         \)NOT NULL,
echo PRODUCT_LINE_DE VARCHAR \(90         \),
echo PRODUCT_LINE_FR VARCHAR \(90         \),
echo PRODUCT_LINE_JA VARCHAR \(90         \),
echo PRODUCT_LINE_CS VARCHAR \(90         \),
echo PRODUCT_LINE_DA VARCHAR \(90         \),
echo PRODUCT_LINE_EL VARCHAR \(90         \),
echo PRODUCT_LINE_ES VARCHAR \(90         \),
echo PRODUCT_LINE_FI VARCHAR \(90         \),
echo PRODUCT_LINE_HU VARCHAR \(90         \),
echo PRODUCT_LINE_ID VARCHAR \(90         \),
echo PRODUCT_LINE_IT VARCHAR \(90         \),
echo PRODUCT_LINE_KO VARCHAR \(90         \),
echo PRODUCT_LINE_MS VARCHAR \(90         \),
echo PRODUCT_LINE_NL VARCHAR \(90         \),
echo PRODUCT_LINE_NO VARCHAR \(90         \),
echo PRODUCT_LINE_PL VARCHAR \(90         \),
echo PRODUCT_LINE_PT VARCHAR \(90         \),
echo PRODUCT_LINE_RU VARCHAR \(90         \),
echo PRODUCT_LINE_SC VARCHAR \(90         \),
echo PRODUCT_LINE_SV VARCHAR \(90         \),
echo PRODUCT_LINE_TC VARCHAR \(90         \),
echo PRODUCT_LINE_TH VARCHAR \(90         \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_LOOKUP \(PRODUCT_NUMBER INTEGER NOT NULL,
echo PRODUCT_LANGUAGE VARCHAR \(30         \)NOT NULL,
echo PRODUCT_NAME VARCHAR \(150        \),
echo PRODUCT_DESCRIPTION VARCHAR \(765        \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_SIZE_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_SIZE_LOOKUP \(PRODUCT_SIZE_CODE INTEGER NOT NULL,
echo PRODUCT_SIZE_EN VARCHAR \(90         \),
echo PRODUCT_SIZE_DE VARCHAR \(90         \),
echo PRODUCT_SIZE_FR VARCHAR \(90         \),
echo PRODUCT_SIZE_JA VARCHAR \(90         \),
echo PRODUCT_SIZE_CS VARCHAR \(90         \),
echo PRODUCT_SIZE_DA VARCHAR \(90         \),
echo PRODUCT_SIZE_EL VARCHAR \(90         \),
echo PRODUCT_SIZE_ES VARCHAR \(90         \),
echo PRODUCT_SIZE_FI VARCHAR \(90         \),
echo PRODUCT_SIZE_HU VARCHAR \(90         \),
echo PRODUCT_SIZE_ID VARCHAR \(90         \),
echo PRODUCT_SIZE_IT VARCHAR \(90         \),
echo PRODUCT_SIZE_KO VARCHAR \(90         \),
echo PRODUCT_SIZE_MS VARCHAR \(90         \),
echo PRODUCT_SIZE_NL VARCHAR \(90         \),
echo PRODUCT_SIZE_NO VARCHAR \(90         \),
echo PRODUCT_SIZE_PL VARCHAR \(90         \),
echo PRODUCT_SIZE_PT VARCHAR \(90         \),
echo PRODUCT_SIZE_RU VARCHAR \(90         \),
echo PRODUCT_SIZE_SC VARCHAR \(90         \),
echo PRODUCT_SIZE_SV VARCHAR \(90         \),
echo PRODUCT_SIZE_TC VARCHAR \(90         \),
echo PRODUCT_SIZE_TH VARCHAR \(90         \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_TYPE_LOOKUP:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_TYPE_LOOKUP \(PRODUCT_TYPE_CODE INTEGER NOT NULL,
echo PRODUCT_TYPE_EN VARCHAR \(120        \)NOT NULL,
echo PRODUCT_TYPE_DE VARCHAR \(120        \),
echo PRODUCT_TYPE_FR VARCHAR \(120        \),
echo PRODUCT_TYPE_JA VARCHAR \(120        \),
echo PRODUCT_TYPE_CS VARCHAR \(120        \),
echo PRODUCT_TYPE_DA VARCHAR \(120        \),
echo PRODUCT_TYPE_EL VARCHAR \(120        \),
echo PRODUCT_TYPE_ES VARCHAR \(120        \),
echo PRODUCT_TYPE_FI VARCHAR \(120        \),
echo PRODUCT_TYPE_HU VARCHAR \(120        \),
echo PRODUCT_TYPE_ID VARCHAR \(120        \),
echo PRODUCT_TYPE_IT VARCHAR \(120        \),
echo PRODUCT_TYPE_KO VARCHAR \(120        \),
echo PRODUCT_TYPE_MS VARCHAR \(120        \),
echo PRODUCT_TYPE_NL VARCHAR \(120        \),
echo PRODUCT_TYPE_NO VARCHAR \(120        \),
echo PRODUCT_TYPE_PL VARCHAR \(120        \),
echo PRODUCT_TYPE_PT VARCHAR \(120        \),
echo PRODUCT_TYPE_RU VARCHAR \(120        \),
echo PRODUCT_TYPE_SC VARCHAR \(120        \),
echo PRODUCT_TYPE_SV VARCHAR \(120        \),
echo PRODUCT_TYPE_TC VARCHAR \(120        \),
echo PRODUCT_TYPE_TH VARCHAR \(120        \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.SLS_RTL_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.SLS_RTL_DIM \(RETAILER_SITE_KEY INTEGER NOT NULL,
echo RETAILER_SITE_CODE INTEGER NOT NULL,
echo RETAILER_KEY INTEGER NOT NULL,
echo RETAILER_CODE INTEGER NOT NULL,
echo RETAILER_NAME VARCHAR \(150        \)NOT NULL,
echo RETAILER_NAME_MB VARCHAR \(150        \),
echo RETAILER_CONTACT_CODE INTEGER NOT NULL,
echo CONTACT_FIRST_NAME VARCHAR \(75         \)NOT NULL,
echo CONTACT_LAST_NAME VARCHAR \(90         \)NOT NULL,
echo GENDER_CODE SMALLINT NOT NULL,
echo CONTACT_PHONE_NUMBER VARCHAR \(60         \)NOT NULL,
echo CONTACT_EXTENSION VARCHAR \(18         \),
echo CONTACT_FAX VARCHAR \(60         \),
echo CONTACT_EMAIL VARCHAR \(120        \),
echo RTL_ADDRESS1 VARCHAR \(120        \)NOT NULL,
echo RTL_ADDRESS2 VARCHAR \(120        \),
echo RTL_CITY VARCHAR \(90         \)NOT NULL,
echo RTL_PROV_STATE VARCHAR \(90         \),
echo CONTACT_FIRST_NAME_MB VARCHAR \(75         \),
echo CONTACT_LAST_NAME_MB VARCHAR \(90         \),
echo RTL_ADDRESS1_MB VARCHAR \(120        \),
echo RTL_ADDRESS2_MB VARCHAR \(120        \),
echo RTL_CITY_MB VARCHAR \(90         \),
echo RTL_PROV_STATE_MB VARCHAR \(90         \),
echo RTL_POSTAL_ZONE VARCHAR \(30         \),
echo RTL_COUNTRY_CODE INTEGER NOT NULL,
echo RETAILER_START_DATE TIMESTAMP ,
echo RETAILER_TYPE_CODE INTEGER NOT NULL,
echo RETAILER_TYPE_EN VARCHAR \(105        \)NOT NULL,
echo RETAILER_TYPE_DE VARCHAR \(105        \),
echo RETAILER_TYPE_FR VARCHAR \(105        \),
echo RETAILER_TYPE_JA VARCHAR \(105        \),
echo RETAILER_TYPE_CS VARCHAR \(105        \),
echo RETAILER_TYPE_DA VARCHAR \(105        \),
echo RETAILER_TYPE_EL VARCHAR \(105        \),
echo RETAILER_TYPE_ES VARCHAR \(105        \),
echo RETAILER_TYPE_FI VARCHAR \(105        \),
echo RETAILER_TYPE_HU VARCHAR \(105        \),
echo RETAILER_TYPE_ID VARCHAR \(105        \),
echo RETAILER_TYPE_IT VARCHAR \(105        \),
echo RETAILER_TYPE_KO VARCHAR \(105        \),
echo RETAILER_TYPE_MS VARCHAR \(105        \),
echo RETAILER_TYPE_NL VARCHAR \(105        \),
echo RETAILER_TYPE_NO VARCHAR \(105        \),
echo RETAILER_TYPE_PL VARCHAR \(105        \),
echo RETAILER_TYPE_PT VARCHAR \(105        \),
echo RETAILER_TYPE_RU VARCHAR \(105        \),
echo RETAILER_TYPE_SC VARCHAR \(105        \),
echo RETAILER_TYPE_SV VARCHAR \(105        \),
echo RETAILER_TYPE_TC VARCHAR \(105        \),
echo RETAILER_TYPE_TH VARCHAR \(105        \),
echo JOB_POSITION_EN VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_DE VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_FR VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_JA VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_CS VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_DA VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_EL VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_ES VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_FI VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_HU VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_ID VARCHAR \(120        \),
echo JOB_POSITION_IT VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_KO VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_MS VARCHAR \(120        \),
echo JOB_POSITION_NL VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_NO VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_PL VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_PT VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_RU VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_SC VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_SV VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_TC VARCHAR \(120        \)NOT NULL,
echo JOB_POSITION_TH VARCHAR \(120        \)NOT NULL\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_FACT \(ORDER_DAY_KEY INTEGER NOT NULL,
echo ORGANIZATION_KEY INTEGER NOT NULL,
echo EMPLOYEE_KEY INTEGER NOT NULL,
echo RETAILER_KEY INTEGER NOT NULL,
echo RETAILER_SITE_KEY INTEGER NOT NULL,
echo PRODUCT_KEY INTEGER NOT NULL,
echo PROMOTION_KEY INTEGER NOT NULL,
echo ORDER_METHOD_KEY INTEGER NOT NULL,
echo SALES_ORDER_KEY INTEGER NOT NULL,
echo SHIP_DAY_KEY INTEGER NOT NULL,
echo CLOSE_DAY_KEY INTEGER NOT NULL,
echo QUANTITY INTEGER NOT NULL,
echo UNIT_COST DECIMAL \(19         ,2     \),
echo UNIT_PRICE DECIMAL \(19         ,2     \),
echo UNIT_SALE_PRICE DECIMAL \(19         ,2     \),
echo GROSS_MARGIN DOUBLE NOT NULL,
echo SALE_TOTAL DECIMAL \(19         ,2     \),
echo GROSS_PROFIT DECIMAL \(19         ,2     \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_ORDER_DIM:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_ORDER_DIM \(SALES_ORDER_KEY INTEGER NOT NULL,
echo ORDER_DETAIL_CODE INTEGER NOT NULL,
echo ORDER_NUMBER INTEGER NOT NULL,
echo WAREHOUSE_BRANCH_CODE INTEGER \)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_TARG_FACT:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_TARG_FACT \(MONTH_KEY INTEGER NOT NULL,
echo ORGANIZATION_KEY INTEGER NOT NULL,
echo RTL_COUNTRY_KEY INTEGER NOT NULL,
echo EMPLOYEE_KEY INTEGER NOT NULL,
echo RETAILER_KEY INTEGER NOT NULL,
echo PRODUCT_TYPE_KEY INTEGER NOT NULL,
echo PRODUCT_BRAND_KEY INTEGER NOT NULL,
echo SALES_TARGET DECIMAL \(19         ,2     \)\)
echo @
echo echo CREATING TABLE ${GOSALESDW_SCHEMA}.XGOREV:
echo @
echo CREATE TABLE ${GOSALESDW_SCHEMA}.XGOREV \(GOREV_ID INTEGER NOT NULL,
echo GO_OBJ_NAME VARCHAR \(210        \)NOT NULL,
echo GO_OBJ_TYPE VARCHAR \(150        \)NOT NULL,
echo GO_OBJ_PARENT_NAME VARCHAR \(210        \)NOT NULL,
echo GO_OBJ_PARENT_TYPE VARCHAR \(150        \),
echo GO_DATA_OR_METADATA VARCHAR \(150        \)NOT NULL,
echo GO_RELEASE VARCHAR \(150        \)NOT NULL,
echo GO_CHANGE_DATE TIMESTAMP NOT NULL,
echo GO_CHANGE_DESCRIPTION VARCHAR \(3000       \)NOT NULL\)
echo @
echo


