@echo OFF
REM *******************************************************************
REM *  5724-E34
REM *  (c) Copyright IBM Corporation 2008, 2009.
REM *  All rights reserved.
REM *
REM *  The source code for this program is not published or otherwise
REM *  divested of its trade secrets, irrespective of what has been
REM *  deposited with the U.S. Copyright Office.
REM *******************************************************************
REM *
REM ************************************************************************
REM * Verify that the script was called correctly
REM ************************************************************************
IF "%GOSALES_START%"=="1" GOTO CONTINUE_RUN
echo This script must be called from "setupGSDB.bat" - Quitting
GOTO :EOF
:CONTINUE_RUN


echo --CREATE TABLES FOR GOSALESCT SCHEMA
echo echo CREATING TABLE %GOSALESCT_SCHEMA%.CUST_COUNTRY:
echo @
echo CREATE TABLE %GOSALESCT_SCHEMA%.CUST_COUNTRY (COUNTRY_CODE INTEGER NOT NULL,
echo COUNTRY_EN VARCHAR (90         ),
echo COUNTRY_CS VARCHAR (90         ),
echo COUNTRY_DA VARCHAR (90         ),
echo COUNTRY_DE VARCHAR (90         ),
echo COUNTRY_EL VARCHAR (90         ),
echo COUNTRY_ES VARCHAR (90         ),
echo COUNTRY_FI VARCHAR (90         ),
echo COUNTRY_FR VARCHAR (90         ),
echo COUNTRY_HU VARCHAR (90         ),
echo COUNTRY_ID VARCHAR (90         ),
echo COUNTRY_IT VARCHAR (90         ),
echo COUNTRY_JA VARCHAR (90         ),
echo COUNTRY_KO VARCHAR (90         ),
echo COUNTRY_MS VARCHAR (90         ),
echo COUNTRY_NL VARCHAR (90         ),
echo COUNTRY_NO VARCHAR (90         ),
echo COUNTRY_PL VARCHAR (90         ),
echo COUNTRY_PT VARCHAR (90         ),
echo COUNTRY_RU VARCHAR (90         ),
echo COUNTRY_SC VARCHAR (90         ),
echo COUNTRY_SV VARCHAR (90         ),
echo COUNTRY_TC VARCHAR (90         ),
echo COUNTRY_TH VARCHAR (90         ),
echo FLAG_IMAGE VARCHAR (45         ),
echo SALES_REGION_CODE INTEGER ,
echo ISO_THREE_LETTER_CODE VARCHAR (9          ),
echo ISO_TWO_LETTER_CODE VARCHAR (6          ),
echo ISO_THREE_DIGIT_CODE VARCHAR (9          ),
echo EURO_IN_USE_SINCE TIMESTAMP )
echo @
echo echo CREATING TABLE %GOSALESCT_SCHEMA%.CUST_CRDT_CARD:
echo @
echo CREATE TABLE %GOSALESCT_SCHEMA%.CUST_CRDT_CARD (CUST_CC_ID INTEGER NOT NULL,
echo CUST_CODE INTEGER ,
echo CRDT_METHOD_CODE INTEGER ,
echo CUST_CC_NUMBER CHARACTER (57         ),
echo CUST_CC_SERV_CODE INTEGER ,
echo CUST_CC_EXP_DATE TIMESTAMP )
echo @
echo echo CREATING TABLE %GOSALESCT_SCHEMA%.CUST_CRDT_CHECK:
echo @
echo CREATE TABLE %GOSALESCT_SCHEMA%.CUST_CRDT_CHECK (CUST_CODE INTEGER NOT NULL,
echo CUST_SSN BIGINT ,
echo CUST_CRDT_SCORE INTEGER )
echo @
echo echo CREATING TABLE %GOSALESCT_SCHEMA%.CUST_CUSTOMER:
echo @
echo CREATE TABLE %GOSALESCT_SCHEMA%.CUST_CUSTOMER (CUST_CODE INTEGER NOT NULL,
echo CUST_FIRST_NAME VARCHAR (75         ),
echo CUST_FIRST_NAME_MB VARCHAR (75         ),
echo CUST_LAST_NAME VARCHAR (90         ),
echo CUST_LAST_NAME_MB VARCHAR (90         ),
echo CUST_ADDRESS1 VARCHAR (120        ),
echo CUST_ADDRESS1_MB VARCHAR (120        ),
echo CUST_ADDRESS2 VARCHAR (120        ),
echo CUST_ADDRESS2_MB VARCHAR (120        ),
echo CUST_CITY VARCHAR (90         ),
echo CUST_CITY_MB VARCHAR (90         ),
echo CUST_PROV_STATE VARCHAR (90         ),
echo CUST_PROV_STATE_MB VARCHAR (90         ),
echo CUST_PROV_STATE_CODE VARCHAR (30         ),
echo CUST_POSTAL_ZONE VARCHAR (30         ),
echo CUST_COUNTRY_CODE INTEGER ,
echo CUST_PHONE_NUMBER VARCHAR (150        ),
echo CUST_EMAIL VARCHAR (120        ),
echo CUST_INFO CLOB (1048576    ),
echo GENDER_CODE INTEGER ,
echo CUST_AGE INTEGER ,
echo MARITAL_STATUS_CODE INTEGER ,
echo CUST_PROFESSION_CODE INTEGER )
echo @
echo echo CREATING TABLE %GOSALESCT_SCHEMA%.CUST_INTEREST:
echo @
echo CREATE TABLE %GOSALESCT_SCHEMA%.CUST_INTEREST (CUST_CODE INTEGER NOT NULL,
echo CUST_INTEREST_CODE INTEGER NOT NULL,
echo CUST_INTEREST_RANK INTEGER )
echo @
echo echo CREATING TABLE %GOSALESCT_SCHEMA%.CUST_INTEREST_LOOKUP:
echo @
echo CREATE TABLE %GOSALESCT_SCHEMA%.CUST_INTEREST_LOOKUP (CUST_INTEREST_CODE INTEGER NOT NULL,
echo CUST_INTEREST_LANGUAGE VARCHAR (15         )NOT NULL,
echo CUST_INTEREST VARCHAR (210        ))
echo @
echo echo CREATING TABLE %GOSALESCT_SCHEMA%.CUST_MARITAL_STATUS:
echo @
echo CREATE TABLE %GOSALESCT_SCHEMA%.CUST_MARITAL_STATUS (MARITAL_STATUS_CODE INTEGER NOT NULL,
echo MARITAL_STATUS_LANGUAGE VARCHAR (15         )NOT NULL,
echo MARITAL_STATUS VARCHAR (150        ))
echo @
echo echo CREATING TABLE %GOSALESCT_SCHEMA%.CUST_ORDER_DETAIL:
echo @
echo CREATE TABLE %GOSALESCT_SCHEMA%.CUST_ORDER_DETAIL (CUST_ORDER_DETAIL_CODE INTEGER NOT NULL,
echo CUST_ORDER_NUMBER INTEGER ,
echo CUST_SHIP_DATE TIMESTAMP ,
echo PRODUCT_NUMBER INTEGER ,
echo CUST_PROMOTION_CODE INTEGER ,
echo UNIT_COST DECIMAL (19         ,2     ),
echo CUST_UNIT_PRICE DECIMAL (19         ,2     ),
echo CUST_UNIT_SALE_PRICE DECIMAL (19         ,2     ),
echo CUST_QUANTITY BIGINT )
echo @
echo echo CREATING TABLE %GOSALESCT_SCHEMA%.CUST_ORDER_HEADER:
echo @
echo CREATE TABLE %GOSALESCT_SCHEMA%.CUST_ORDER_HEADER (CUST_ORDER_NUMBER INTEGER NOT NULL,
echo CUST_ORDER_DATE TIMESTAMP ,
echo CUST_CODE INTEGER ,
echo CUST_CC_ID INTEGER ,
echo CRDT_METHOD_CODE INTEGER NOT NULL,
echo ORDER_METHOD_CODE INTEGER ,
echo CUST_ORDER_STATUS_CODE INTEGER ,
echo CUST_TOTAL_QUANTITY INTEGER ,
echo CUST_UNIQUE_ITEMS INTEGER ,
echo CUST_SUBTOTAL DECIMAL (19         ,2     ),
echo CUST_SHIP_COST DECIMAL (19         ,2     ),
echo CUST_SALES_TAX DECIMAL (19         ,2     ),
echo CUST_TOTAL DECIMAL (19         ,2     ))
echo @
echo echo CREATING TABLE %GOSALESCT_SCHEMA%.CUST_ORDER_STATUS:
echo @
echo CREATE TABLE %GOSALESCT_SCHEMA%.CUST_ORDER_STATUS (CUST_ORDER_STATUS_CODE INTEGER NOT NULL,
echo CUST_ORDER_STATUS_LANGUAGE VARCHAR (6          )NOT NULL,
echo CUST_ORDER_STATUS VARCHAR (150        ))
echo @
echo echo CREATING TABLE %GOSALESCT_SCHEMA%.CUST_PRICE:
echo @
echo CREATE TABLE %GOSALESCT_SCHEMA%.CUST_PRICE (ORDER_YEAR INTEGER NOT NULL,
echo ORDER_MONTH INTEGER NOT NULL,
echo PRODUCT_NUMBER INTEGER NOT NULL,
echo UNIT_COST DECIMAL (19         ,2     ),
echo WHOLESALE_UNIT_PRICE DECIMAL (19         ,2     ),
echo CUST_UNIT_PRICE DECIMAL (19         ,2     ),
echo CUST_UNIT_SALE_PRICE1 DECIMAL (19         ,2     ),
echo CUST_UNIT_SALE_PRICE2 DECIMAL (19         ,2     ),
echo CUST_UNIT_SALE_PRICE3 DECIMAL (19         ,2     ),
echo FREIGHT_ONE DECIMAL (19         ,2     ),
echo FREIGHT_ADD_ONE DECIMAL (19         ,2     ))
echo @
echo echo CREATING TABLE %GOSALESCT_SCHEMA%.CUST_PROFESSION:
echo @
echo CREATE TABLE %GOSALESCT_SCHEMA%.CUST_PROFESSION (CUST_PROFESSION_CODE INTEGER NOT NULL,
echo CUST_PROFESSION_LANGUAGE VARCHAR (15         )NOT NULL,
echo CUST_PROFESSION VARCHAR (150        ))
echo @
echo echo CREATING TABLE %GOSALESCT_SCHEMA%.GO_CRDT_METHOD:
echo @
echo CREATE TABLE %GOSALESCT_SCHEMA%.GO_CRDT_METHOD (CRDT_METHOD_CODE INTEGER NOT NULL,
echo CRDT_METHOD_LANGUAGE VARCHAR (15         )NOT NULL,
echo CRDT_METHOD VARCHAR (210        ))
echo @
echo echo CREATING TABLE %GOSALESCT_SCHEMA%.GO_SALES_TAX:
echo @
echo CREATE TABLE %GOSALESCT_SCHEMA%.GO_SALES_TAX (CUST_COUNTRY_CODE INTEGER NOT NULL,
echo CUST_PROV_STATE_CODE VARCHAR (30         )NOT NULL,
echo SALES_TAX_RATE DECIMAL (6          ,4     ))
echo @
echo echo CREATING TABLE %GOSALESCT_SCHEMA%.PTNR_ACTIVITY:
echo @
echo CREATE TABLE %GOSALESCT_SCHEMA%.PTNR_ACTIVITY (PTNR_CODE INTEGER NOT NULL,
echo CUST_CODE INTEGER NOT NULL,
echo CUST_ORDER_NUMBER INTEGER NOT NULL,
echo PTNR_ORDER XML NOT NULL)
echo @
echo echo CREATING TABLE %GOSALESCT_SCHEMA%.PTNR_CONTACT:
echo @
echo CREATE TABLE %GOSALESCT_SCHEMA%.PTNR_CONTACT (PTNR_CODE INTEGER NOT NULL,
echo PTNR_COMPANY_NAME VARCHAR (150        ),
echo PTNR_COMPANY_NAME_MB VARCHAR (150        ),
echo PTNR_FIRST_NAME VARCHAR (75         ),
echo PTNR_FIRST_NAME_MB VARCHAR (75         ),
echo PTNR_LAST_NAME VARCHAR (90         ),
echo PTNR_LAST_NAME_MB VARCHAR (90         ),
echo GENDER_CODE SMALLINT ,
echo PTNR_PHONE_NUMBER VARCHAR (60         ),
echo PTNR_PHONE_EXT VARCHAR (18         ),
echo PTNR_EMAIL VARCHAR (90         ),
echo PTNR_ADDRESS1 VARCHAR (120        ),
echo PTNR_ADDRESS1_MB VARCHAR (120        ),
echo PTNR_ADDRESS2 VARCHAR (120        ),
echo PTNR_ADDRESS2_MB VARCHAR (120        ),
echo PTNR_CITY VARCHAR (90         ),
echo PTNR_CITY_MB VARCHAR (90         ),
echo PTNR_PROV_STATE VARCHAR (90         ),
echo PTNR_PROV_STATE_MB VARCHAR (90         ),
echo PTNR_PROV_STATE_CODE VARCHAR (30         ),
echo PTNR_POSTAL_ZONE VARCHAR (30         ),
echo PTNR_COUNTRY_CODE INTEGER )
echo @
echo.
